Bug 1705258 - RGW: expiration_date returned from lifecycle is in wrong format. [Consulting]
Summary: RGW: expiration_date returned from lifecycle is in wrong format. [Consulting]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 3.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 3.3
Assignee: Matt Benjamin (redhat)
QA Contact: RUDRA PRATAP
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-01 20:14 UTC by tbrekke
Modified: 2019-08-21 15:11 UTC (History)
9 users (show)

Fixed In Version: RHEL: ceph-12.2.12-33.el7cp Ubuntu: ceph_12.2.12-30redhat1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-21 15:10:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2538 0 None None None 2019-08-21 15:11:09 UTC

Description tbrekke 2019-05-01 20:14:17 UTC
Description of problem:

In 3.2 we now return the expiration_date as dictacted by aws spec, but the format appears to be wrong.

Error from aws-sdk-java 1.11

"java.lang.IllegalArgumentException: Invalid format: "Fri May 31 14:09:34 2019" is malformed at " May 31 14:09:34 2019""


The amazon spec dictates:

`x-amz-expiration: expiry-date="Fri, 23 Dec 2012 00:00:00 GMT", rule-id="1"`

we get back from ceph:

`x-amz-expiration: expiry-date="Fri May 31 19:46:09 2019", rule-id="1"`

There is a comma missing after the Day of the week.

Version-Release number of selected component (if applicable):

ceph version 12.2.8-89.el7cp (2f66ab2fa63b2879913db6d6cf314572a83fd1f0) luminous (stable)

How reproducible:

Every time


Steps to Reproduce:
1. Install 3.2z1
2. Set lifecycle policy
3. See response

Actual results:

Date format is `Fri May 31 19:46:09 2019`

Expected results:

Date format to be `Fri, May 31 19:46:09 2019`

Additional info:

Comment 1 tbrekke 2019-05-01 20:26:03 UTC
Expected results should actually be a RFC 822-compliant date format

Example: Wed, 01 May 2019 13:00:00 GMT

Comment 5 RUDRA PRATAP 2019-08-09 05:48:52 UTC
RHCS V3.3 , ceph version 12.2.12-40.el7cp

'HTTPHeaders': {'date': 'Fri, 09 Aug 2019 05:42:06 GMT'....}

retruns the correct date response..

Rudra

Comment 7 errata-xmlrpc 2019-08-21 15:10:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2538


Note You need to log in before you can comment on or make changes to this bug.